Name:           glite-jobid-api-c
Version:        2.2.9
Release:        1%{?dist}
Summary:        C library handling gLite jobid

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.jobid.api-c/%{name}-%{version}.tar.gz

BuildRequires:  libtool
BuildRequires:  cppunit-devel%{?_isa}
BuildRequires:  openssl-devel%{?_isa}
BuildRequires:  pkgconfig

%description
C library handling gLite jobid.


%package        devel
Summary:        Development files for gLite jobid C library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite jobid
C library.


%prep
%setup -q


%build
/usr/bin/perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module jobid.api-c
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_jobid.so.2
%{_libdir}/libglite_jobid.so.2.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/jobid
%{_includedir}/glite/jobid/strmd5.h
%{_includedir}/glite/jobid/cjobid.h
%{_libdir}/libglite_jobid.so


%changelog
* Thu May 02 2013 František Dvořák <valtri@civ.zcu.cz> - 2.2.9-1
- initial package
